aspose file tools*
The moose likes Web Services and the fly likes consume a web service in Eclipse 3.2 /Jdk1.4/Tomcat 5.0.19 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of The Java EE 7 Tutorial Volume 1 or Volume 2 this week in the Java EE forum
or jQuery UI in Action in the JavaScript forum!
JavaRanch » Java Forums » Java » Web Services
Bookmark "consume a web service in Eclipse 3.2 /Jdk1.4/Tomcat 5.0.19" Watch "consume a web service in Eclipse 3.2 /Jdk1.4/Tomcat 5.0.19" New topic
Author

consume a web service in Eclipse 3.2 /Jdk1.4/Tomcat 5.0.19

Elias Ta
Greenhorn

Joined: Sep 29, 2008
Posts: 15
I have a tomcat based web application running on JDK1.4.13 in tomcat 5.0.19 and there is a requirement that I would need to consume a web service. I downloaded Axis2 and tried to read the examples to develop a client to consume a web service.
My questions are
1. Do I need to upgrade my java to 1.5 ?
2. Can someone give me a simple example of a client class that I can learn from? To build the client class from scratch?

Thanks,
Elias
Jimmy Clark
Ranch Hand

Joined: Apr 16, 2008
Posts: 2187
The Apache Axis2 installation guide has documentation that specifies its compatibility with versions of the JDK.

In regards to creating client application, the Apache Axis2 User's Guide has a specific section on creating clients.
 
Consider Paul's rocket mass heater.
 
subject: consume a web service in Eclipse 3.2 /Jdk1.4/Tomcat 5.0.19